Fish_ActivityKillCrabRankRewardCFG = {}

function Fish_ActivityKillCrabRankRewardCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_ActivityKillCrabRankRewardCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, RewardList = {1,94}, RewardCount = {50000000,50}}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, RewardList = {1,94}, RewardCount = {30000000,25}}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, RewardList = {1,94}, RewardCount = {15000000,10}}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 5, RewardList = {1,27}, RewardCount = {10000000,2}}
	self.datas[5] = {ID = 5, StartRank = 6, EndRank = 10, RewardList = {1,27}, RewardCount = {5000000,1}}
	self.datas[6] = {ID = 6, StartRank = 11, EndRank = 20, RewardList = {1}, RewardCount = {2000000}}
	self.datas[7] = {ID = 7, StartRank = 21, EndRank = 50, RewardList = {1}, RewardCount = {1000000}}
end

Fish_ActivityKillCrabRankRewardCFG:init()
